## python-userpath 1.9.1

=== tests/docker/requirements.txt ===
# Deps
click
distro

# Test deps
coverage
pytest

# xonsh shell, if we can
xonsh; python_version > '3.0'

## python-userpath 1.3.0

=== debian/changelog ===
python-userpath (1.3.0-2) unstable; urgency=medium

  * watch:
    + use dversionmangle=auto
    + drop unused repacksuffix

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Apr 2020 14:35:58 +0200

python-userpath (1.3.0-1) experimental; urgency=low

  * initial packaging release
    closes: bug#951485

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 Feb 2020 12:11:55 +0100

=== debian/control ===
Source: python-userpath
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python3,
 fish <!nocheck>,
 help2man,
 python3,
 python3-click <!nocheck>,
 python3-coverage <!nocheck>,
 python3-distro <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 xonsh <!nocheck>,
 zsh <!nocheck>,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/python-userpath.git
Vcs-Browser: https://salsa.debian.org/debian/python-userpath
Homepage: https://github.com/ofek/userpath
Rules-Requires-Root: no

Package: userpath
Architecture: all
Depends:
 python3-userpath (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: tool for adding locations to the user PATH - CLI tool
 userpath is a command-line tool and Python library
 to add custom locations to user PATH.
 Only user-specific PATH is changed,
 avoiding the need for elevated privileges.
 .
 This package provides the command-line tool userpath.

Package: python3-userpath
Architecture: all
Depends:
 python3-click,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-distro,
 python3-psutil,
Description: tool for adding locations to the user PATH - Python3 library
 userpath is a command-line tool and Python library
 to add custom locations to user PATH.
 Only user-specific PATH is changed,
 avoiding the need for elevated privileges.
 .
 This package provides the userpath library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# detect if build targets experimental suite (or is a draft)
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

DH_OPTIONS = -O--buildsystem=pybuild

cmd = userpath
_ENV = $(strip \
 PATH="$(CURDIR)/debian/tmp/usr/bin:$(PATH)" \
 PYTHONPATH="$(CURDIR)/debian/tmp/usr/lib/$(shell py3versions -d)/dist-packages")

# generate manpage with help2man from --help option of python script
_mkman = $(_ENV) \
 help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
 || { $(_ENV) $1 --help; false; }

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test $(if $(DEB_SUITE_EXP),|| true)
endif

# * generate manpage based on --help option of script itself
override_dh_auto_install:
	dh_auto_install
	$(call _mkman, $(cmd), debian/$(cmd).1, \
		tool for adding locations to the user PATH)
	find debian/tmp/usr/lib -name '*.pyc' -delete
	find debian/tmp/usr/lib -type d -empty -delete

%:
	dh $@ $(DH_OPTIONS:-O%=%)

## python-userpath 1.4.2

=== debian/changelog ===
python-userpath (1.4.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.5.1
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Feb 2021 03:53:10 +0100

python-userpath (1.4.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * enable autopkgtest
  * fix cleanup after build
  * simplify source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Sep 2020 16:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  fish <!nocheck>,
  help2man,
@@ -15,11 +15,12 @@
  python3-setuptools,
  xonsh <!nocheck>,
  zsh <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/python-userpath.git
 Vcs-Browser: https://salsa.debian.org/debian/python-userpath
 Homepage: https://github.com/ofek/userpath
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-python
 
 Package: userpath
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 # detect if build targets experimental suite (or is a draft)
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
 
-DH_OPTIONS = -O--buildsystem=pybuild
 
 cmd = userpath
 _ENV = $(strip \
@@ -17,18 +16,15 @@
  help2man $(if $3,--name "$(strip $3)") --no-info --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
  || { $(_ENV) $1 --help; false; }
 
+%:
+	dh $@ --buildsystem=pybuild
+
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test $(if $(DEB_SUITE_EXP),|| true)
-endif
 
 # * generate manpage based on --help option of script itself
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	$(call _mkman, $(cmd), debian/$(cmd).1, \
 		tool for adding locations to the user PATH)
 	find debian/tmp/usr/lib -name '*.pyc' -delete
 	find debian/tmp/usr/lib -type d -empty -delete
-
-%:
-	dh $@ $(DH_OPTIONS:-O%=%)

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
dversionmangle=auto \
https://github.com/ofek/userpath/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## python-userpath 1.7.0

=== debian/changelog ===
python-userpath (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Adopt python-userpath to the Debian Python Team. Thanks for taking care of
    it until now, Jonas.
  * Drop dependency on python3-distro, following upstream.
  * Add autopkgtest that runs the upstream test suite.
  * Add autopkgtest that runs --help.
  * Add upstream metadata.
  * Move python3-userpath into the python section.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 10 Aug 2021 11:48:33 -0400

=== debian/control ===
Source: python-userpath
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 fish <!nocheck>,
 help2man,
 python3,
 python3-click <!nocheck>,
 python3-coverage <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 xonsh <!nocheck>,
 zsh <!nocheck>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-userpath.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-userpath
Homepage: https://github.com/ofek/userpath
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: userpath
Architecture: all
Depends:
 python3-userpath (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends}
Description: tool for adding locations to the user PATH - CLI tool
 userpath is a command-line tool and Python library
 to add custom locations to user PATH.
 Only user-specific PATH is changed,
 avoiding the need for elevated privileges.
 .
 This package provides the command-line tool userpath.

Package: python3-userpath
Section: python
Architecture: all
Depends: python3-click, ${misc:Depends}, ${python3:Depends}
Recommends: python3-psutil
Description: tool for adding locations to the user PATH - Python3 library
 userpath is a command-line tool and Python library
 to add custom locations to user PATH.
 Only user-specific PATH is changed,
 avoiding the need for elevated privileges.
 .
 This package provides the userpath library for Python 3.

## python-userpath 1.8.0

=== debian/changelog ===
python-userpath (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream relicensed to simply the Expat license.
  * Avoid modifying config files in $HOME during tests and autopkgtest by
    creating a temporary $HOME.
  * Upstream moved to the hatchling build system, Build-Depend on
    python3-hatchling and pybuild-plugin-pyproject.
  * Build for all supported Python 3 versions.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Remove unnecessary watch file options.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Feb 2022 10:01:46 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
  dh-sequence-python3,
  fish <!nocheck>,
  help2man,
- python3,
+ pybuild-plugin-pyproject,
+ python3-all,
  python3-click <!nocheck>,
  python3-coverage <!nocheck>,
+ python3-hatchling,
  python3-pytest <!nocheck>,
- python3-setuptools,
  xonsh <!nocheck>,
  zsh <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-userpath.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-userpath
 Homepage: https://github.com/ofek/userpath

## python-userpath 1.9.0

=== debian/changelog ===
python-userpath (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 20 Jul 2023 10:38:41 +0200

## python-userpath 1.9.1

=== debian/changelog ===
python-userpath (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 22 Sep 2023 22:17:00 +0530

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pytest <!nocheck>,
  xonsh <!nocheck>,
  zsh <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-userpath.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-userpath
 Homepage: https://github.com/ofek/userpath

## python-userpath 1.9.2

=== debian/changelog ===
python-userpath (1.9.2-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-click. Closes: #1116884.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Wed, 08 Oct 2025 01:30:00 +0200

python-userpath (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 29 Jan 2025 14:33:25 -0400

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,16 @@
  help2man,
  pybuild-plugin-pyproject,
  python3-all,
- python3-click <!nocheck>,
+ python3-click,
  python3-coverage <!nocheck>,
  python3-hatchling,
  python3-pytest <!nocheck>,
  xonsh <!nocheck>,
  zsh <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-userpath.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-userpath
 Homepage: https://github.com/ofek/userpath
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: userpath

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,10 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
-	dh_auto_test $(if $(DEB_SUITE_EXP),|| true)
+	$(eval TMPHOME := $(shell mktemp -d))
+	cp -a /etc/skel/. $(TMPHOME)/
+	HOME=$(TMPHOME) dh_auto_test $(if $(DEB_SUITE_EXP),|| true)
+	rm -rf $(TMPHOME)/
 
 # * generate manpage based on --help option of script itself
 execute_after_dh_auto_install:

=== debian/tests/control ===
Tests: help
Depends: userpath
Restrictions: allow-stderr

Tests: unittests3
Depends: python3-all, python3-pytest, python3-userpath

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

https://github.com/ofek/userpath/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
